Subject: MinecraftEdu Class - Solids, Liquids and Gases - YouTube
From: Beth <[email-masked]>
To: Allen Smith <[email-masked]>
Cc: "<[email-masked]>" <[email-masked]>
Date: Wed, 01 May 2013 16:55:37 -0400

Sign in
Upload

Search

GUIDE NEW
      
MinecraftEdu Class - Solids, Liquids and Gases
  EduElfie·145 videos

Subscribe
585 9,966
  79       0
Like         About   Share   Add to       
Published on Mar 30, 2012
In this class we model the particles in a solid, liquid and gas. Applying heat between each change of state. We had briefly discussed the three states of matter and particles.

Find out about the mod here.

http://minecraftedu.com/

Follow my blog here.

http://minecrafteduelfie.blogspot.com/

Follow me on twitter for updates.

@tickleme_elfman
Show more
Uploader Comments (EduElfie)

  
Simon Grey 1 week ago
I think this lesson is confusing to students. Particles are more tightly packed in liquids than in solids
Reply  ·    

EduElfie 1 week ago
I disagree, that statement is only true for water, every other solid/liquid relationship is actually what is demonstrated in this lesson. But thanks for pointing out a good discussion point to have in future lessons.
Reply  ·     in reply to Simon Grey

Zuqi Li 1 month ago
I guess it's a workable idea, but I think that the game is too much of a distraction for kids to really concentrate of the physics concepts.
Reply  ·    

EduElfie 1 month ago
Interesting, I just published another video where I made comment on that exact issue, only I am always amazed about how focused the students are on the task while in game.
Reply  · 2     in reply to Zuqi Li

Sun Shine 1 month ago
I'm wondering if it's possible to teach something to older people with Minecraft. Really a bright idea to use MC to teach stuff but isn't it kind of time consuming just to prepare those classes?
Reply  ·    

EduElfie 1 month ago
Yes it is, although it may lose some of its shine with the older students. I have taught senior biology concepts in Minecraft and it worked ok. And yes it certainly is time consuming, but I would not say too much more time consuming than making an engaging lesson activity any other way. (and I don't see it so much as work making these lessons, it is more like play for me)
Reply  ·     in reply to Sun Shine
Top Comments

  
EduElfie 1 year ago
I understand what you are saying, but the computers are already in the school, computers that are capable of running this, so count that cost out. the $338 you come up with for the copies of Minecraft is off, have a look at minecraftedu . com and you will see the educational discount. Also this is not the only thing that Minecraft will be used to teach. I agree the same thing can be done with a text book, but it is something they will remember when they need to? This I think is.
Reply  · 22     in reply to miller306678 (Show the comment)

EduElfie 1 year ago
Thanks, I am glad you think this is a good idea. I will be using this video to have a discussion with the students today after we have had a 2 week break to reintroduce what we learnt and also to discuss Paul's escape efforts and explain that he went through a change of state called sublimation. What a great teaching moment this has created.
Reply  · 11     in reply to Sar3k1 (Show the comment)
Video Responses

Idea — Educational Adventure Map: Human Body: Part 1
by miggtorr
5,281 views
All Comments (69)

Sign in now to post a comment!

Simon Grey 3 hours ago
Shame on me. You're right. Although I would have thought the same would apply to any substance with a dipole moment. I didn't think water was so unique in that regard. I think I also got confused because of the incompressible nature of fluids, which also turns out to be false. In fact, youtube's spell checker is telling me incompressible isn't even a real word!!! Thanks for the reply and setting me straight :)
Reply  ·     in reply to EduElfie (Show the comment)

John Reid 22 hours ago
Nah this wouldn't work for me, I'd be creating penis statues left right and centre
Reply  ·    

sherazuki 1 day ago
Great idea but talk about Yanwsville.
Reply  ·    

Angelleah Hudson 1 day ago
Be careful, though, because the students in my school(for example) are quite...disruptive.
Reply  ·     in reply to EduElfie (Show the comment)

BlackKnight Enderhunter 4 days ago
question would you do online classes?
Reply  ·    

Bodene Skinner 1 week ago
i think this is the first ever teacher that plays minecraft
Reply  ·    

Bodene Skinner 1 week ago
1 second video nooooooooo
Reply  ·    

Darrell Jameson 2 weeks ago
If only my education was like this, I'd probably remember more of it lol
Reply  ·    
Show more
     
         3:53   
The Truth About Cardio
by insanehomefatloss
708,857 views
Ad
  11:36       
MinecraftEdu Class - Treasure Map 01
by EduElfie
FEATURED
3,350
  28:22       
Sokar's NEW Minecraft Let's Play - Episode 24: The Stinging Farm
by SokarEntertainment
12,757 views
  25:14       
Teaching Minecraft - Episode 8: The Recess Yard
by MinecraftTeachr
29,858 views
  7:46       
MinecraftEdu Class - Reaction Times
by EduElfie
9,232 views
  18:00       
Using MinecraftEdu - Part 3 - World Templates
by MinecraftTeachr
7,489 views
  11:04       
Minecraft Mod Showcase : GOLEM WARS!
by SkyDoesMinecraft
3,973,246 views
  9:45       
Using MinecraftEdu - Part 1 - Introduction
by MinecraftTeachr
16,388 views
  9:27       
MinecraftEdu Class - Reactions Discussion
by EduElfie
2,110 views
  10:35       
MinecraftEdu Class - Building Bunsens
by EduElfie
1,925 views
  7:30       
MinecraftEdu Class - Neurotransmitters
by EduElfie
22,324 views
  10:02       
MinecraftEdu Tutorial World Part 1
by EduElfie
2,692 views
  3:06       
2nd Graders Build a Hotel
by MinecraftTeachr
17,505 views
  27:58       
Minecraft Tutorial! SS United States part 1
by minichampsf1
3,499 views
  2:42       
Minecraft Tennis
by ACtennisAC
159,718 views
  9:43       
MinecraftEdu Thoughts 02 - Probability and Gravity
by EduElfie
1,746 views
  7:11       
MinecraftEdu is Coming To Schools Near You
by gamespot
13,173 views
  12:09       
MinecraftEdu Class - Building Bunsens 02
by EduElfie
634 views
  14:51       
MinecraftEdu Class - Treasure Map 04
by EduElfie
703 views
  2:42       
Titanic 100 - New CGI of How Titanic Sank
by NationalGeographic
Recommended for you
  14:07       
MinecraftEdu Class - Animal Cell Part 01
by EduElfie
1,474 views
Load more suggestions
   Language: English    Country: Worldwide    Safety: Off      Help  
About Press & Blogs Copyright Creators & Partners Advertising Developers
Terms Privacy Policy & Safety Send feedback Try something new!